Xalan-Java 2.7.1: Class DTMDefaultBaseIterators.ParentIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref
Class DTMDefaultBaseIterators.ParentIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
                  |
                  +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators.ParentIterator

public final class DTMDefaultBaseIterators.ParentIterator
extends DTMDefaultBaseIterators.InternalAxisIteratorBase

Iterator that returns the parent of a given node. Note that this delivers only a single node; if you want all the ancestors, see AncestorIterator.

Constructor Summary
`DTMDefaultBaseIterators.ParentIterator()`

Method Summary
`int` | `next()` Get the next node in the iteration.
`DTMAxisIterator` | `setNodeType(int type)` Set the node type of the parent that we're looking for.
`DTMAxisIterator` | `setStartNode(int node)` Set start to END should 'close' the iterator, i.e.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseIterators.InternalAxisIteratorBase
`gotoMark, setMark`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDefaultBaseIterators.ParentIterator

    public DTMDefaultBaseIterators.ParentIterator()

Method Detail

### setStartNode

    public DTMAxisIterator setStartNode(int node)

  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.
  Parameters:
    `node` - Sets the root of the iteration.
  Returns:
    A DTMAxisIterator set to the start of the iteration.

### setNodeType

    public DTMAxisIterator setNodeType(int type)

  Set the node type of the parent that we're looking for. Note that this does _not_ mean "find the nearest ancestor of this type", but "yield the parent if it is of this type".
  Parameters:
    `type` - extended type ID.
  Returns:
    ParentIterator configured with the type filter set.

### next

    public int next()

  Get the next node in the iteration. In this case, we return only the immediate parent, _if_ it matches the requested nodeType.
  Returns:
    The next node handle in the iteration, or END.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.